package capitulo03.bloque04;

import static capitulo03.utils.Utils.solicitarIntScanner;

public class Ejercicio1 {
    public static void main(String[] args) {
        int i = 2, num = solicitarIntScanner("Introduzca un número para comprobar si es primo: ");

        while (i <= num) {
            if (i == num) {
                System.out.println(num + " es un número primo");
                break;
            } else if (num % i == 0) {
                System.out.println(num + " es un número compuesto");
                break;
            }
            i++;
        }
    }
}

